//
//  NLUService.swift
//  Minecraft Skill Demo
//
//  Created by Daniel Tyreus on 5/5/20.
//  Copyright © 2020 Spokestack. All rights reserved.
//

import Spokestack

class NLUService {
    public var nlu: NLUTensorflow?// = try! NLUTensorflow(configuration: c)
    
    init(_ modelName:String) {
        let config = SpeechConfiguration()
        
        guard let modelPath = Bundle(for: type(of: self)).path(forResource: modelName, ofType: "tflite") else {
            print("could not find \(modelName).tflite in bundle")
            return
        }
        config.nluModelPath = modelPath

        guard let vocabPath = Bundle(for: type(of: self)).path(forResource: "vocab", ofType: "txt") else {
            print("could not find vocab.txt in bundle")
            return
        }
        config.nluVocabularyPath = vocabPath
        
        guard let metadataPath = Bundle(for: type(of: self)).path(forResource: "metadata", ofType: "json") else {
            print("could not find metadata.json in bundle")
            return
        }
        config.nluModelMetadataPath = metadataPath
        
        
        self.nlu = try! NLUTensorflow( configuration: config)
    }
}
