//
//  ContentView.swift
//  Minecraft Skill Demo
//
//  Created by Daniel Tyreus on 5/4/20.
//  Copyright © 2020 Spokestack. All rights reserved.
//

import SwiftUI
import Spokestack

struct ContentView: View {
    
    @ObservedObject var pipelineStore:PipelineStore
    @State var uiState:UIState = .welcome
    
    private var dialogManager = SkillDialogManager()
    
    enum UIState {
        case welcome
        case heard
        case responded
    }
    
    init(_ previewMode:Bool = false) {
        pipelineStore = PipelineStore(dialogManager)

        pipelineStore.startPipeline()
        
    }
    
    var body: some View {
        VStack {
            VStack(alignment: .leading) {
            if (pipelineStore.userSays != nil) {
                Text(pipelineStore.userSays!).transition(.opacity).padding(32).font(.subheadline)
            }
            if (pipelineStore.appSays != nil) {
                Text(pipelineStore.appSays!).transition(.opacity).padding().font(.headline)
            }
            }.frame(minWidth: 0, maxWidth: .infinity, minHeight: 0, maxHeight: .infinity, alignment: .topLeading)
            Spacer()
            if (!pipelineStore.isSpeaking ) {
                Button(action:{
                    
                }) {
                ListeningIcon(isListening: $pipelineStore.isListening)
                    .background(Color.blue)
                    .foregroundColor(Color.white)
                    .cornerRadius(40)
                }.padding()
            }
        }
        
        .onAppear{
        }
        
    }
    
    
    
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
